- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyFederatedCases/legacyListFederatedCases#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyFederatedCases/legacyListFederatedCases#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyFederatedCases/legacyListFederatedCases#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyFederatedCases/legacyListFederatedCases#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyFederatedCases/legacyListFederatedCases#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyFederatedCases/legacyListFederatedCases#body.LegacyListFederatedCasesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyFederatedCases/legacyListFederatedCases#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyFederatedCases/legacyListFederatedCases#body.aspect_1)
- [LogicalOperatorEnum](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyFederatedCases/legacyListFederatedCases#LogicalOperatorEnum)
- [CaseDataStatus](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyFederatedCases/legacyListFederatedCases#CaseDataStatus)
- [SearchTimeRangeType](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyFederatedCases/legacyListFederatedCases#SearchTimeRangeType)
- [CaseModificationFilter](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyFederatedCases/legacyListFederatedCases#CaseModificationFilter)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyFederatedCases/legacyListFederatedCases#CaseModificationFilter.SCHEMA_REPRESENTATION)
- [SortTypeEnum](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyFederatedCases/legacyListFederatedCases#SortTypeEnum)

**Full name**: projects.locations.instances.legacyFederatedCases.legacyListFederatedCases

Lists all cases available in the federated store across all synchronized platforms. Use this method to browse and filter the consolidated library of security cases managed by the primary instance.

### HTTP request

`POST https://{endpoint}/v1alpha/{parent}/legacyFederatedCases:legacyListFederatedCases`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent, which owns this collection of LegacyFederatedCases. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "pageSize": integer, "pageToken": string, "filterOperator": enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyFederatedCases/legacyListFederatedCases#LogicalOperatorEnum`), "filters": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.caseQueueFilters#CaseQueueCriteria`) } ], "startTimeMs": string, "endTimeMs": string, "statuses": [ enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyFederatedCases/legacyListFederatedCases#CaseDataStatus`) ], "timeRangeFilter": enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyFederatedCases/legacyListFederatedCases#SearchTimeRangeType`), "sortBy": [ enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyFederatedCases/legacyListFederatedCases#SortTypeEnum`) ], "isVisibleInQueue": boolean, "caseModificationFilter": { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyFederatedCases/legacyListFederatedCases#CaseModificationFilter`) }, "searchTerm": string } ``` |

| Fields ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of cases to return. The service may return fewer than this value. If unspecified, at most 100 cases will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` Optional. A page token, received from a previous `legacyFederatedCases.legacyListFederatedCases` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `legacyFederatedCases.legacyListFederatedCases` must match the call that provided the page token. |
| `filterOperator` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyFederatedCases/legacyListFederatedCases#LogicalOperatorEnum`)`` Optional. The logical operator. |
| `filters[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.caseQueueFilters#CaseQueueCriteria`)`` Optional. The filters to apply to the list of cases. |
| `startTimeMs` | `string (https://developers.google.com/discovery/v1/type-format format)` Optional. The start time of the time range filter. |
| `endTimeMs` | `string (https://developers.google.com/discovery/v1/type-format format)` Optional. The end time of the time range filter. |
| `statuses[]` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyFederatedCases/legacyListFederatedCases#CaseDataStatus`)`` Optional. The statuses of the cases to return. |
| `timeRangeFilter` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyFederatedCases/legacyListFederatedCases#SearchTimeRangeType`)`` Optional. The time range filter to apply to the list of cases. |
| `sortBy[]` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyFederatedCases/legacyListFederatedCases#SortTypeEnum`)`` Optional. The sort type to apply to the list of cases. |
| `isVisibleInQueue` | `boolean` Optional. Whether to include cases that are visible in the queue. |
| `caseModificationFilter` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyFederatedCases/legacyListFederatedCases#CaseModificationFilter`)`` Optional. The case modification filter to apply to the list of cases. |
| `searchTerm` | `string` Optional. The search term to apply to the list of cases. |

### Response body

Response message for legacyFederatedCases.legacyListFederatedCases.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "legacyFederatedCases": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/LegacyFederatedCase`) } ], "totalSize": integer, "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `legacyFederatedCases[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/LegacyFederatedCase`)`` Required. page of requested cases |
| `totalSize` | `integer` Required. The total number of cases that match the request. |
| `nextPageToken` | `string` Optional. A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.legacyFederatedCases.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## LogicalOperatorEnum

The logical operator.

| Enums ||
|---|---|
| `LOGICAL_OPERATOR_UNSPECIFIED` | The logical operator is unspecified. |
| `AND` | The logical operator is and. |
| `OR` | The logical operator is or. |

## CaseDataStatus

Defines the possible states of a case.

| Enums ||
|---|---|
| `CASE_DATA_STATUS_UNSPECIFIED` | The case data status is unspecified. |
| `OPENED` | The case is opened. |
| `CLOSED` | The case is closed. |
| `ALL` | Any case. |
| `MERGED` | The case is merged. |
| `CREATION_PENDING` | The case is pending creation. |

## SearchTimeRangeType

Enum representing predefined time range filters.

| Enums ||
|---|---|
| `CUSTOM` | The search time range type is unspecified. |
| `LAST_DAY` | The search time range type is last day. |
| `LAST_2_DAYS` | The search time range type is last 2 days. |
| `LAST_3_DAYS` | The search time range type is last 3 days. |
| `LAST_4_DAYS` | The search time range type is last 4 days. |
| `LAST_WEEK` | The search time range type is last week. |
| `LAST_2_WEEKS` | The search time range type is last 2 weeks. |
| `LAST_MONTH` | The search time range type is last month. |
| `LAST_3_MONTHS` | The search time range type is last 3 months. |
| `LAST_6_MONTHS` | The search time range type is last 6 months. |
| `LAST_YEAR` | The search time range type is last year. |
| `LAST_13_MONTHS` | The search time range type is last 13 months. |

## CaseModificationFilter

Message definition for CaseModificationFilter

| JSON representation |
|---|
| ``` { "modifiedSince": string, "lastCaseId": string } ``` |

| Fields ||
|---|---|
| `modifiedSince` | `string (https://developers.google.com/discovery/v1/type-format format)` Optional. The time since the last case modification in ms. |
| `lastCaseId` | `string (https://developers.google.com/discovery/v1/type-format format)` Optional. The last case id. |

## SortTypeEnum

Defines the various ways to sort items.

| Enums ||
|---|---|
| `CREATION_TIME_DESCENDING` | Sort by creation time, newest first. |
| `CREATION_TIME_ASCENDING` | Sort by creation time, oldest first. |
| `MODIFICATION_TIME_DESCENDING` | Sort by modification time, newest first. |
| `MODIFICATION_TIME_ASCENDING` | Sort by modification time, oldest first. |
| `PRIORITY_DESCENDING` | Sort by priority, highest first. |
| `PRIORITY_ASCENDING` | Sort by priority, lowest first. |
| `ID_DESCENDING` | Sort by ID, highest first. |
| `ID_ASCENDING` | Sort by ID, lowest first. |
| `SLA_DESCENDING` | Sort by SLA, most urgent (closest to breach or breached) first. |
| `SLA_ASCENDING` | Sort by SLA, least urgent (furthest from breach) first. |
| `STAGE_SLA_DESCENDING` | Sort by stage SLA, most urgent (closest to breach or breached) first. |
| `STAGE_SLA_ASCENDING` | Sort by stage SLA, least urgent (furthest from breach) first. |
| `SCORE_DESCENDING` | Sort by score, highest first. |
| `SCORE_ASCENDING` | Sort by score, lowest first. |
| `PLATFORM_DESCENDING` | Sort by platform, descending order (e.g., Z-A). |
| `PLATFORM_ASCENDING` | Sort by platform, ascending order (e.g., A-Z). |